OGR: ogr_srs_api.h File Reference

# ogr_srs_api.h File Reference

`#include "ogr_core.h"`

Go to the source code of this file.

## Functions
OGRErr | OSRImportFromWkt (OGRSpatialReferenceH, char **)
OGRErr CPL_STDCALL | OSRExportToWkt (OGRSpatialReferenceH, char **)
OGRErr | OSRSetACEA (OGRSpatialReferenceH hSRS, double dfStdP1, double dfStdP2, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetAE (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetBonne (OGRSpatialReferenceH hSRS, double dfStandardParallel, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetCEA (OGRSpatialReferenceH hSRS, double dfStdP1, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetCS (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEC (OGRSpatialReferenceH hSRS, double dfStdP1, double dfStdP2, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEckert (OGRSpatialReferenceH hSRS, int nVariation, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEckertIV (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEckertVI (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEquirectangular (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetEquirectangular2 (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfPseudoStdParallel1, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGS (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGH (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGEOS (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfSatelliteHeight, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGaussSchreiberTMercator (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetGnomonic (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetHOM (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfAzimuth, double dfRectToSkew, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetHOM2PNO (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfLat1, double dfLong1, double dfLat2, double dfLong2, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetIWMPolyconic (OGRSpatialReferenceH hSRS, double dfLat1, double dfLat2, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetKrovak (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfAzimuth, double dfPseudoStdParallelLat, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetLAEA (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetLCC (OGRSpatialReferenceH hSRS, double dfStdP1, double dfStdP2, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetLCC1SP (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetLCCB (OGRSpatialReferenceH hSRS, double dfStdP1, double dfStdP2, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetMC (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetMercator (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetMollweide (OGRSpatialReferenceH hSRS, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetNZMG (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetOS (OGRSpatialReferenceH hSRS, double dfOriginLat, double dfCMeridian, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetOrthographic (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetPolyconic (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetPS (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetRobinson (OGRSpatialReferenceH hSRS, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetSinusoidal (OGRSpatialReferenceH hSRS, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetStereographic (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetSOC (OGRSpatialReferenceH hSRS, double dfLatitudeOfOrigin, double dfCentralMeridian, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetTM (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetTMVariant (OGRSpatialReferenceH hSRS, const char *pszVariantName, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetTMG (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetTMSO (OGRSpatialReferenceH hSRS, double dfCenterLat, double dfCenterLong, double dfScale, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetVDG (OGRSpatialReferenceH hSRS, double dfCenterLong, double dfFalseEasting, double dfFalseNorthing)
OGRErr | OSRSetWagner (OGRSpatialReferenceH hSRS, int nVariation, double dfFalseEasting, double dfFalseNorthing)
char ** | OPTGetProjectionMethods ()
char ** | OPTGetParameterList (const char *pszProjectionMethod, char **ppszUserName)
int | OPTGetParameterInfo (const char *pszProjectionMethod, const char *pszParameterName, char **ppszUserName, char **ppszType, double *pdfDefaultValue)

## Detailed Description

C spatial reference system services and defines.

See also: ogr_spatialref.h

## Function Documentation

int OPTGetParameterInfo | ( | const char * | pszProjectionMethod,
|  | const char * | pszParameterName,
|  | char ** | ppszUserName,
|  | char ** | ppszType,
|  | double * | pdfDefaultValue |
| ) |  |  |

Fetch information about a single parameter of a projection method.

Parameters:

  | pszProjectionMethod | name of projection method for which the parameter applies. Not currently used, but in the future this could affect defaults. This is the internal projection method name, such as "Tranverse_Mercator".
  | pszParameterName | name of the parameter to fetch information about. This is the internal name such as "central_meridian" (SRS_PP_CENTRAL_MERIDIAN).
  | ppszUserName | location at which to return the user visible name for the parameter. This pointer may be NULL to skip the user name. The returned name should not be modified or freed.
  | ppszType | location at which to return the parameter type for the parameter. This pointer may be NULL to skip. The returned type should not be modified or freed. The type values are described above.
  | pdfDefaultValue | location at which to put the default value for this parameter. The pointer may be NULL.

Returns:
  TRUE if parameter found, or FALSE otherwise.

char** OPTGetParameterList | ( | const char * | pszProjectionMethod,
|  | char ** | ppszUserName |
| ) |  |  |

Fetch the parameters for a given projection method.

Parameters:

  | pszProjectionMethod | internal name of projection methods to fetch the parameters for, such as "Transverse_Mercator" (SRS_PT_TRANSVERSE_MERCATOR).
  | ppszUserName | pointer in which to return a user visible name for the projection name. The returned string should not be modified or freed by the caller. Legal to pass in NULL if user name not required.

Returns:
  returns a NULL terminated list of internal parameter names that should be freed by the caller when no longer needed. Returns NULL if projection method is unknown.

char** OPTGetProjectionMethods | ( |  | ) |

Fetch list of possible projection methods.

Returns:
  Returns NULL terminated list of projection methods. This should be freed with CSLDestroy() when no longer needed.

OGRErr CPL_STDCALL OSRExportToWkt | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszReturn |
| ) |  |  |

Convert this SRS into WKT format.

This function is the same as OGRSpatialReference::exportToWkt().

References OSRExportToWkt().

Referenced by OSRExportToWkt().

OGRErr OSRImportFromWkt | ( | OGRSpatialReferenceH | hSRS,
|  | char ** | ppszInput |
| ) |  |  |

Import from WKT string.

This function is the same as OGRSpatialReference::importFromWkt().

References OSRImportFromWkt().

Referenced by OSRImportFromWkt().

OGRErr OSRSetACEA | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfStdP2,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Albers Conic Equal Area

References OSRSetACEA().

Referenced by OSRSetACEA().

OGRErr OSRSetAE | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Azimuthal Equidistant

References OSRSetAE().

Referenced by OSRSetAE().

OGRErr OSRSetBonne | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStandardParallel,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Bonne

References OSRSetBonne().

Referenced by OSRSetBonne().

OGRErr OSRSetCEA | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Cylindrical Equal Area

References OSRSetCEA().

Referenced by OSRSetCEA().

OGRErr OSRSetCS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Cassini-Soldner

References OSRSetCS().

Referenced by OSRSetCS().

OGRErr OSRSetEC | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfStdP2,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Equidistant Conic

References OSRSetEC().

Referenced by OSRSetEC().

OGRErr OSRSetEckert | ( | OGRSpatialReferenceH | hSRS,
|  | int | nVariation,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Eckert I-VI

References OSRSetEckert().

Referenced by OSRSetEckert().

OGRErr OSRSetEckertIV | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Eckert IV

References OSRSetEckertIV().

Referenced by OSRSetEckertIV().

OGRErr OSRSetEckertVI | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Eckert VI

References OSRSetEckertVI().

Referenced by OSRSetEckertVI().

OGRErr OSRSetEquirectangular | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Equirectangular

References OSRSetEquirectangular().

Referenced by OSRSetEquirectangular().

OGRErr OSRSetEquirectangular2 | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfPseudoStdParallel1,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Equirectangular generalized form

References OSRSetEquirectangular2().

Referenced by OSRSetEquirectangular2().

OGRErr OSRSetGaussSchreiberTMercator | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Gauss Schreiber Transverse Mercator

References OSRSetGaussSchreiberTMercator().

Referenced by OSRSetGaussSchreiberTMercator().

OGRErr OSRSetGEOS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfSatelliteHeight,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

GEOS - Geostationary Satellite View

References OSRSetGEOS().

Referenced by OSRSetGEOS().

OGRErr OSRSetGH | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Goode Homolosine

References OSRSetGH().

Referenced by OSRSetGH().

OGRErr OSRSetGnomonic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Gnomonic

References OSRSetGnomonic().

Referenced by OSRSetGnomonic().

OGRErr OSRSetGS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Gall Stereograpic

References OSRSetGS().

Referenced by OSRSetGS().

OGRErr OSRSetHOM | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfAzimuth,
|  | double | dfRectToSkew,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Hotine Oblique Mercator using azimuth angle

References OSRSetHOM().

Referenced by OSRSetHOM().

OGRErr OSRSetHOM2PNO | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfLat1,
|  | double | dfLong1,
|  | double | dfLat2,
|  | double | dfLong2,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Hotine Oblique Mercator using two points on centerline

References OSRSetHOM2PNO().

Referenced by OSRSetHOM2PNO().

OGRErr OSRSetIWMPolyconic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfLat1,
|  | double | dfLat2,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

International Map of the World Polyconic

References OSRSetIWMPolyconic().

Referenced by OSRSetIWMPolyconic().

OGRErr OSRSetKrovak | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfAzimuth,
|  | double | dfPseudoStdParallelLat,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Krovak Oblique Conic Conformal

References OSRSetKrovak().

Referenced by OSRSetKrovak().

OGRErr OSRSetLAEA | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Lambert Azimuthal Equal-Area

References OSRSetLAEA().

Referenced by OSRSetLAEA().

OGRErr OSRSetLCC | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfStdP2,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Lambert Conformal Conic

References OSRSetLCC().

Referenced by OSRSetLCC().

OGRErr OSRSetLCC1SP | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Lambert Conformal Conic 1SP

References OSRSetLCC1SP().

Referenced by OSRSetLCC1SP().

OGRErr OSRSetLCCB | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfStdP1,
|  | double | dfStdP2,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Lambert Conformal Conic (Belgium)

References OSRSetLCCB().

Referenced by OSRSetLCCB().

OGRErr OSRSetMC | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Miller Cylindrical

References OSRSetMC().

Referenced by OSRSetMC().

OGRErr OSRSetMercator | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Mercator

References OSRSetMercator().

Referenced by OSRSetMercator().

OGRErr OSRSetMollweide | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Mollweide

References OSRSetMollweide().

Referenced by OSRSetMollweide().

OGRErr OSRSetNZMG | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

New Zealand Map Grid

References OSRSetNZMG().

Referenced by OSRSetNZMG().

OGRErr OSRSetOrthographic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Orthographic

References OSRSetOrthographic().

Referenced by OSRSetOrthographic().

OGRErr OSRSetOS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfOriginLat,
|  | double | dfCMeridian,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Oblique Stereographic

References OSRSetOS().

Referenced by OSRSetOS().

OGRErr OSRSetPolyconic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Polyconic

References OSRSetPolyconic().

Referenced by OSRSetPolyconic().

OGRErr OSRSetPS | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Polar Stereographic

References OSRSetPS().

Referenced by OSRSetPS().

OGRErr OSRSetRobinson | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Robinson

References OSRSetRobinson().

Referenced by OSRSetRobinson().

OGRErr OSRSetSinusoidal | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Sinusoidal

References OSRSetSinusoidal().

Referenced by OSRSetSinusoidal().

OGRErr OSRSetSOC | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfLatitudeOfOrigin,
|  | double | dfCentralMeridian,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Swiss Oblique Cylindrical

References OSRSetSOC().

Referenced by OSRSetSOC().

OGRErr OSRSetStereographic | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Stereographic

References OSRSetStereographic().

Referenced by OSRSetStereographic().

OGRErr OSRSetTM | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Transverse Mercator

References OSRSetTM().

Referenced by OSRSetTM().

OGRErr OSRSetTMG | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Tunesia Mining Grid

References OSRSetTMG().

Referenced by OSRSetTMG().

OGRErr OSRSetTMSO | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Transverse Mercator (South Oriented)

References OSRSetTMSO().

Referenced by OSRSetTMSO().

OGRErr OSRSetTMVariant | ( | OGRSpatialReferenceH | hSRS,
|  | const char * | pszVariantName,
|  | double | dfCenterLat,
|  | double | dfCenterLong,
|  | double | dfScale,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Transverse Mercator variant

References OSRSetTMVariant().

Referenced by OSRSetTMVariant().

OGRErr OSRSetVDG | ( | OGRSpatialReferenceH | hSRS,
|  | double | dfCenterLong,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

VanDerGrinten

References OSRSetVDG().

Referenced by OSRSetVDG().

OGRErr OSRSetWagner | ( | OGRSpatialReferenceH | hSRS,
|  | int | nVariation,
|  | double | dfFalseEasting,
|  | double | dfFalseNorthing |
| ) |  |  |

Wagner I -- VII

Generated for GDAL by 1.5.9.